<?PHP
/*
By default, Simfatic Forms will send auto-response only to one email field.
This is good enough for most cases. 
However, what if you want to send the auto-response  to more than one email addresses?

This extension module can send auto-response to any number of email addresses.

Yes, you can build a "tell your friends" form using this extension module!

### Steps
Replace 'Email1', 'Email2' in the module with the names of the email fields in your form.
You can add more fields too.
Then just add the module to your simfatic form

Every one of those emails will get the auto-response message when the form is submitted.

*/
class MyCustomResponseEmail extends FM_ExtensionModule
{
      function BeforeSendingAutoResponse(&$receipient,&$subject,&$body)
      {
        //replace with your email fields here. ( Field names are Case sensitive )
        $emails = array('Email1','Email2');
        
        $receipient = array();

        foreach($emails  as $e)
        {
            $email = trim($this->formvars[$e]);
            if(!empty($email))
            {
                $receipient[] = $email;
            }        
        }

        return true;
      }
}   
